failwith {dplyr} | R Documentation

## Fail with specified value.

### Description

Modify a function so that it returns a default value when there is an error.

### Usage

    failwith(default = NULL, f, quiet = FALSE)

### Arguments

`default` | default value
`f` | function
`quiet` | all error messages be suppressed?

### Value

a function

### See Also

`try_default`

### Examples

    f <- function(x) if (x == 1) stop("Error!") else 1
    ## Not run:
    f(1)
    f(2)

    ## End(Not run)

    safef <- failwith(NULL, f)
    safef(1)
    safef(2)

[Package dplyr version 0.4.3 Index]